% PS3D
% Photometric stereo toolbox
%
% Files
%   choosefun    - choose test function for a synthetic observed object.
%   createlights - create the lights matrix.
%   datasynth    - create synthetic data set, use funind to select example
%   makealbedo   - create an albedo matrix.
%   makeimage    - generate a synthetic images matrix
%   normlights   - normalize the columns of L.
%   plotlights3d - 3-D plot of light directions.
%   plotlights   - 2-D plot of light directions.
%   poisdir      - Poisson solver with homogeneous Dirichlet boundary conditions.
%   poisneu      - Poisson solver with Neumann boundary conditions.
%   ps3d         - photometric stereo 3D reconstruction.
%   ps3dstep1    - first step of the photometric stereo 3D reconstruction.
%   ps3dstep2    - second step of the photometric stereo 3D reconstruction.
%   rotatelights - finds the rotation of the recovered lights. 
%   showshell    - display shell dataset
%   showsynth    - display synthetic dataset
%   testshell    - process the shell dataset
%   testsynth    - process the synthetic dataset
%   writeply     - convert .mat surface into .ply file
