% display synthetic dataset.

load synth		% load synthetic data set

nrow = 3; ncol = 3;	% grid for figure 2
displayfactor = 1;	% to scale images on screen
q = size(M,2);

figure(2)
clf
fprintf('displaying images:')
for i = 1:q
	fprintf(' %d',i)
	figure(2)
	subplot(nrow,ncol,i)
	pcolor(imresize(reshape(M(:,i),s,r),displayfactor))
	colormap gray
	shading interp
	axis image
	axis off
end
fprintf('\n')

figure(3)
clf
plotlights3d(L)
title('original light directions')

